import { get, put, post, deletes } from '@/http/index'

// 查询判故逻辑列表
export const getJudgeFaultLogic = async (data) => {
  return await get('/als/judgeFaultLogic/list', data)
}

// 新增判故逻辑
export const addJudgeFaultLogic = async (data) => {
  return await post('/als/judgeFaultLogic', data)
}

// 修改判故逻辑
export const updateJudgeFaultLogic = async (data) => {
  return await put('/als/judgeFaultLogic', data)
}

// 删除判故逻辑
export const removeJudgeFaultLogic = async (id) => {
  return await deletes('/als/judgeFaultLogic/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
